package outils;

import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;
import objets.CUniteyRep;
import types.NatureCalcul;
import dialogs.UniteYDlg;

public class OutilUniteyRep extends Outil {
	public OutilUniteyRep(MtgFrame frameInit) {
		super(frameInit, false); // false car pas de clignotement
	}

  @Override
	public void select() {
  	super.select();
		MtgInternalFrame cadre = frame.cadreActif();
		CUniteyRep unitey = new CUniteyRep(frame.cadreActif().listePr, null, false, "", null);
		UniteYDlg dlg = new UniteYDlg(frame, unitey, false);
		dlg.setLocationRelativeTo(null);
		dlg.setVisible(true);
    if (dlg.retourOK()) {
      if (frame.ajouteElementAvecVerification(unitey))
        cadre.gestionnaire.enregistreFigureEnCours(getString("chaineOutil153"));    	
    }
    frame.activeOutilCapture();
  }
  
  @Override
	public boolean activationValide() {
		return frame.cadreActif().listePr.nombreObjetsParNatureCalculNonIntermediaires(NatureCalcul.NRepere)>0;
	}
	
	@Override
	public String messageActivationNonValide() {
		return getString("messagePasDeRepere");
	}
}
