/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package dialogs;

import java.awt.Choice;


@SuppressWarnings("serial")
public class ListeChoixDPI extends Choice {
	/**
	 * Constructeur
	 */
	public ListeChoixDPI() {
		add("72");
		add("96");
		add("150");
		add("300");
		add("600");
		select(3); // 300n dpi par dfaut
	}
	
	public Float resolutionDPI() {
		switch (getSelectedIndex()) {
		case 0 : return 72f;
		case 1 : return 96f;
		case 2 : return 150f;
		case 3 : return 300f;
		case 4 : return 600f;
		default : return 72f;
		}
	}
	
}
